KDE 4.9 PyKDE API Reference

- KDE's Python API

# PositionProviderPlugin Class Reference

`from PyKDE4.marble import *`

Inherits: QObject,Marble.PositionProviderPluginInterface → Marble.PluginInterface
Namespace: Marble

## Detailed Description

The abstract class that provides position information.

## Signals
| positionChanged (Marble.GeoDataCoordinates position, Marble.GeoDataAccuracy accuracy)
| statusChanged (Marble.PositionProviderStatus status)
## Methods
| __init__ (self)
QString | guiString (self)
Marble.MarbleModel | marbleModel (self)
Marble.PositionProviderPlugin | newInstance (self)
| setMarbleModel (self, Marble.MarbleModel a0)

## Signal Documentation

positionChanged | ( | Marble.GeoDataCoordinates | position,
|  | Marble.GeoDataAccuracy | accuracy
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("positionChanged(Marble::GeoDataCoordinates, Marble::GeoDataAccuracy)"), target_slot)`

statusChanged | ( | Marble.PositionProviderStatus | status
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("statusChanged(Marble::PositionProviderStatus)"), target_slot)`

## Method Documentation

__init__ | ( |  | self ) |

QString guiString | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Returns the string that should appear in the user interface.

Example: "GPS"

Marble.MarbleModel marbleModel | ( |  | self ) |

Marble.PositionProviderPlugin newInstance | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Create a new PositionProvider Plugin and return it. Has to be defined in concrete position provider plugin classes.

setMarbleModel | ( | self, |
|  | Marble.MarbleModel | a0
| ) |  |  |